Smart Collect
Fetch Payments Made Using Bank Transfer
Fetch Payments made using Bank Transfer payment method.
GET
Use this endpoint to retrieve details of payments made using the bank transfer method.
If Razorpay does not receive the bank account information of the customer from the remitting bank, the
payer_bank_account parameter will be set to null.
Path Parameters
string
required
The unique identifier of the payment made to the Customer Identifier.
Response Parameters
string
The unique identifier of the bank transfer.
string
The name of the entity. Here, it is
bank_transfer.string
The unique identifier of the payment.
string
The mode of bank transfer used. Possible values are:
NEFTRTGSIMPSUPI
string
Unique reference number provided by the bank for the transaction.
object
The payer bank account details from which payment is received.
string
The unique identifier of the customer’s bank account.
string
The name of the entity. Here, it is
bank_account.string
The IFSC associated with the bank account.
string
The name of the bank in which the customer has an account.
object
Any custom notes added to the Customer Identifier.
string
The unique account number of the customer.
string
The unique identifier of the Customer Identifier.
object
Details of the Customer Identifier.
string
The unique identifier of the Customer Identifier.
string
The
merchant billing label as it appears on Dashboard.string
The name of the entity. Here, it is
virtual account.string
Indicates the status of the Customer Identifier. Possible values are:
activeclosed
string
A brief description about the Customer Identifier.
integer
The amount expected by the merchant.
integer
The amount paid by the customer to the Customer Identifier.
object
Any custom notes added during the creation of the Customer Identifier.
string
The unique identifier of the customer the Customer Identifier is linked with. Know more about Customers API.
object
Configuration of desired receivers for the Customer Identifier.
string
The unique identifier of the Customer Identifier. For example,
ba_Di5gbQsGn0QSz3.string
The name of the entity. Here, it is
bank_account.string
The IFSC for the Customer Identifier created. For example,
RATN0VAAPIS.string
The bank associated with the Customer Identifier. For example,
RBL.string
The unique account number provided by the bank. For example,
1112220061746877.string
The
merchant billing label as it appears on Dashboard.object
Any custom notes added during the creation of the Customer Identifier.
integer
UNIX timestamp at which the Customer Identifier is scheduled to be automatically closed. The time must be at least 15 minutes after current time. The date range can be set till
2147483647 in UNIX timestamp format (equivalent to Tuesday, January 19, 2038 8:44:07 AM GMT+05:30). Any request beyond 2147483647 UNIX timestamp will fail.integer
UNIX timestamp at which the Customer Identifier is automatically closed.
integer
UNIX timestamp at which the Customer Identifier was created.
Errors
The API `<key/secret>
` provided is invalid.
The API `<key/secret> ` provided is invalid.
Code:
4xxOccurs when there is a mismatch between the API credentials passed in the API call and the API credentials generated on the dashboard.Solution: Make sure that the API keys are active and entered correctly. Also, make sure there are no whitespaces before or after the keys.